# Method: projects.instances.tables.list

Lists all tables served from a specified instance.

### HTTP request

`GET https://bigtableadmin.googleapis.com/v2/{parent=projects/*/instances/*}/tables`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The unique name of the instance for which tables should be listed. Values are of the form `projects/{project}/instances/{instance}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `bigtable.tables.list` |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`View`)`` The view to be applied to the returned tables' fields. Only NAME_ONLY view (default), REPLICATION_VIEW and ENCRYPTION_VIEW are supported. |
| `pageSize` | `integer` Maximum number of results per page. A pageSize of zero lets the server choose the number of items to return. A pageSize which is strictly positive will return at most that many items. A negative pageSize will cause an error. Following the first request, subsequent paginated calls are not required to pass a pageSize. If a pageSize is set in subsequent calls, it must match the pageSize given in the first request. |
| `pageToken` | `string` The value of `nextPageToken` returned by a previous call. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/bigtable/docs/reference/admin/rest/v2/projects.instances.tables/list#google.bigtable.admin.v2.BigtableTableAdmin.ListTables`

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "tables": [ { object (`https://docs.cloud.google.com/bigtable/docs/reference/admin/rest/v2/projects.instances.tables#Table`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `tables[]` | ``object (`https://docs.cloud.google.com/bigtable/docs/reference/admin/rest/v2/projects.instances.tables#Table`)`` The tables present in the requested instance. |
| `nextPageToken` | `string` Set if not all tables could be returned in a single response. Pass this value to `pageToken` in another request to get the next page of results. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigtable.admin`
- `https://www.googleapis.com/auth/bigtable.admin.table`
- `https://www.googleapis.com/auth/cloud-bigtable.admin`
- `https://www.googleapis.com/auth/cloud-bigtable.admin.table`
- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-platform.read-only`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).